Warning: The author of this contribution does not provide support for it anymore.

Precise Similar Topics II

Frequently Asked Questions

About FULLTEXT Index Issues

If you encountered this error installing this MOD:

Code: Select all

SQL ERROR The used table type doesn't support FULLTEXT indexes

This MOD requires FULLTEXT indexes to work. That means your database must be MySQL and the "phpbb_topics" table must be using the MyISAM storage engine. InnoDB will also work (only if you are using MySQL 5.6.4 or later).

If you do not meet the requirements above, but still want to use this MOD, you can alter your storage engine to MyISAM to allow the creation of the index we need. It's easy, but you should only do so if you are comfortable making this change.

1) Run the install_similar_topics.php script and uninstall it if necessary
2) Go to phpMyAdmin and open your database
3) Click on the Structure or Browse icon for the phpbb_topics table
4) Click the Operations tab
5) Change the Storage Engine setting to MyISAM
6) Click Go to save the change
7) Run the install_similar_topics.php script and install it